## class Fl_Wizard

### Class Hierarchy

    Fl_Group
       |
       +----Fl_Wizard

### Include Files

    #include "Fl_Wizard.h"

### Description

The `Fl_Wizard` widget is based off the `Fl_Tabs` widget, but instead of displaying tabs it only changes "tabs" under program control. Its primary purpose is to support "wizards" that step a user through configuration or troubleshooting tasks.

As with `Fl_Tabs`, wizard panes are composed of child (usually `Fl_Group`) widgets. Navigation buttons must be added separately.

### Methods

- Fl_Wizard
- ~Fl_Wizard
- next
- prev
- value

#### Fl_Wizard(int xx, int yy, int ww, int hh, const char *l = 0)

The constructor creates the `Fl_Wizard` widget at the specified position and size.

#### ~Fl_Wizard()

The destructor destroys the widget and its children.

#### void next()

This method shows the next child of the wizard. If the last child is already visible, this function does nothing.

#### void prev()

This method shows the previous child of the wizard. If the first child is already visible, this function does nothing.

#### void value(Fl_Widget *w)
Fl_Widget *value()

Sets or gets the child widget that is visible.